DotsDocs
Payout agents

Allocate Funds to a Payout Agent

Move funds from the app balance into the payout agent's reserved balance. The funds are added to the agent's available balance and can only be spent by the agent or reclaimed.

POST
/v2/payout-agents/{payout_agent_id}/allocations

Move funds from the app balance into the payout agent's reserved balance. The funds are added to the agent's available balance and can only be spent by the agent or reclaimed.

AuthorizationBasic <token>

In: header

Path Parameters

payout_agent_id*string

ID of the payout agent.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/payout-agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/allocations" \  -H "Content-Type: application/json" \  -d '{    "amount": 10000,    "idempotency_key": "0d5f4a8e-1f3b-4c1e-9f7a-2b6c3d4e5f60"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "object": "payout_agent_balance_movement",  "payout_agent_id": "79fb14fc-ce5a-4ca6-83f8-93ffe10240da",  "type": "allocation",  "amount": 0,  "status": "string",  "idempotency_key": "0cd90e5a-2c03-4ab6-81a8-d48818026e58",  "metadata": null,  "created": "2019-08-24T14:15:22Z"}